org.apache.ignite.yarn.utils

## Class IgniteYarnUtils

- java.lang.Object
- - org.apache.ignite.yarn.utils.IgniteYarnUtils

-     public class IgniteYarnUtils
      extends Object

  Utils.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_IGNITE_CONFIG`
    `static String` | `JAR_NAME`
    `static String` | `SPACE`
    `static String` | `YARN_LOG_OUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgniteYarnUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.hadoop.fs.Path` | `copyLocalToHdfs(org.apache.hadoop.fs.FileSystem fs, String src, String dst)`
    `static ByteBuffer` | `createTokenBuffer(org.apache.hadoop.security.Credentials creds)` Creates a ByteBuffer with serialized `Credentials`.
    `static org.apache.hadoop.yarn.api.records.LocalResource` | `setupFile(org.apache.hadoop.fs.Path file, org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.yarn.api.records.LocalResourceType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_IGNITE_CONFIG

          public static final String DEFAULT_IGNITE_CONFIG

      See Also:
        Constant Field Values

    - #### SPACE

          public static final String SPACE

      See Also:
        Constant Field Values

    - #### JAR_NAME

          public static final String JAR_NAME

      See Also:
        Constant Field Values

    - #### YARN_LOG_OUT

          public static final String YARN_LOG_OUT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IgniteYarnUtils

          public IgniteYarnUtils()

  - ### Method Detail

    - #### setupFile

          public static org.apache.hadoop.yarn.api.records.LocalResource setupFile(org.apache.hadoop.fs.Path file,
                                                                                   org.apache.hadoop.fs.FileSystem fs,
                                                                                   org.apache.hadoop.yarn.api.records.LocalResourceType type)
                                                                            throws Exception

      Parameters:
        `file` - Path.
        `fs` - File system.
        `type` - Local resource type.
      Returns:
        Resource file.
      Throws:
        `Exception` - If failed.

    - #### copyLocalToHdfs

          public static org.apache.hadoop.fs.Path copyLocalToHdfs(org.apache.hadoop.fs.FileSystem fs,
                                                                  String src,
                                                                  String dst)
                                                           throws Exception

      Parameters:
        `fs` - File system.
        `src` - Source path.
        `dst` - Destination path.
      Returns:
        Path to file to hdfs file system.
      Throws:
        `Exception`

    - #### createTokenBuffer

          public static ByteBuffer createTokenBuffer(org.apache.hadoop.security.Credentials creds)
                                              throws IOException

      Creates a ByteBuffer with serialized `Credentials`.
      Parameters:
        `creds` - The credentials.
      Returns:
        The ByteBuffer with the credentials.
      Throws:
        `IOException`

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022